#############################################################
#
# mii-diag
#
#############################################################

MII-DIAG_SOURCE_URL=http://ftp.debian.org/debian/pool/main/m/mii-diag/
MII-DIAG_SOURCE=mii-diag_2.09.orig.tar.gz
MII-DIAG_DIR=$(BUILD_DIR)/mii-diag-2.09.orig

$(DL_DIR)/$(MII-DIAG_SOURCE):
	 $(WGET) -P $(DL_DIR) $(MII-DIAG_SOURCE_URL)$(MII-DIAG_SOURCE)

mii-diag-source: $(DL_DIR)/$(MII-DIAG_SOURCE)

$(MII-DIAG_DIR)/.unpacked: $(DL_DIR)/$(MII-DIAG_SOURCE)
	zcat $(DL_DIR)/$(MII-DIAG_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(MII-DIAG_DIR)/.unpacked

$(MII-DIAG_DIR)/mii-diag: $(MII-DIAG_DIR)/.unpacked
	(cd $(MII-DIAG_DIR)/ ; \
		$(TARGET_CC) $(TARGET_CFLAGS) mii-diag.c -o mii-diag \
	);

$(ADD_MASTER)/sbin/mii-diag: $(MII-DIAG_DIR)/mii-diag
	cp -a $(MII-DIAG_DIR)/mii-diag $(ADD_MASTER)/sbin/mii-diag
	-$(SSTRIP) $(ADD_MASTER)/sbin/mii-diag

mii-diag: $(ADD_MASTER)/sbin/mii-diag

mii-diag-clean:
	rm -f $(MII-DIAG_DIR)/mii-diag
	rm -f $(ADD_MASTER)/sbin/mii-diag

mii-diag-dirclean:
	rm -rf $(MII-DIAG_DIR)
	rm -f $(ADD_MASTER)/sbin/mii-diag

