$(MODULES_BASE_DIR)/basemods.ffw:
	-rm -r $(MODULES_BASE_DIR)/base
	mkdir -p $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/lib
	mkdir -p $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/drivers
	mkdir -p $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/bridge
	mkdir -p $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4

	#
	# modules.*
	#
	# cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/modules.* $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/.
ifneq ($(filter $(TARGETS),modutils), modutils)
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/modules.dep $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/.
endif
	
	#
	# Netfilter.
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/netfilter $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/.
	# But not these:
	-( cd $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/netfilter ; rm ip_queue.o ipt_recent.o ip_conntrack_amanda.o ipt_owner.o ip_nat_amanda.o ip_nat_cuseeme.o );

	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/netfilter_CAPS $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/.
	# But not these:
	-( cd $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/netfilter_CAPS ; rm ipt_MIRROR.o );
	
	#
	# ip_gre.o and ipip.o has been with us for long time, 
	# let's keep them for now.
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/*.o $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/.

	#
	# Bridging:
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/net/bridge/bridge.o $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/bridge/.

	#
	# PnP
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/pnp $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/drivers/.
	
	#
	# crc32
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/lib/crc32.o $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/lib/.
	
	( cd $(MODULES_BASE_DIR)/base; tar -cpvf ../base.tar *; )
	$(LZMAC) $(MODULES_BASE_DIR)/base.tar > $(MODULES_BASE_DIR)/basemods.ffw
	/usr/bin/bzip2 -9 $(MODULES_BASE_DIR)/base.tar
	mv $(MODULES_BASE_DIR)/base.tar.bz2 $(MODULES_BASE_DIR)/basemods.bz2

basemods: $(MODULES_BASE_DIR)/basemods.ffw

basemods-clean:
	-rm -f $(MODULES_BASE_DIR)/basemods.ffw $(MODULES_BASE_DIR)/basemods.bz2
